// Code generated by github.com/99designs/gqlgen, DO NOT EDIT.

package model

type CreateGridInput struct {
	TypeGrid string                 `json:"TypeGrid"`
	Items    []*CreateGridItemInput `json:"Items"`
}

type CreateGridItemInput struct {
	Description string `json:"Description"`
	Acronym     string `json:"Acronym"`
	Sequencer   int    `json:"Sequencer"`
}

type CreateProductInput struct {
	Description string             `json:"Description"`
	EnableGrid  bool               `json:"EnableGrid"`
	Grids       []*CreateGridInput `json:"Grids"`
	ImageLink   string             `json:"ImageLink"`
}

type CreateProductOutput struct {
	Error   *string `json:"Error"`
	Message string  `json:"Message"`
	Code    string  `json:"Code"`
}

type Grid struct {
	TypeGrid string      `json:"TypeGrid"`
	Items    []*GridItem `json:"Items"`
}

type GridItem struct {
	Description string `json:"Description"`
	Acronym     string `json:"Acronym"`
	Sequencer   int    `json:"Sequencer"`
}

type Product struct {
	ID          string  `json:"Id"`
	Description string  `json:"Description"`
	EnableGrid  bool    `json:"EnableGrid"`
	Grids       []*Grid `json:"Grids"`
	ImageLink   string  `json:"ImageLink"`
	CreatedAt   string  `json:"CreatedAt"`
}

type QueryOutput struct {
	Error   *string `json:"Error"`
	Message string  `json:"Message"`
}

type UpdateGridInput struct {
	TypeGrid string                 `json:"TypeGrid"`
	Items    []*UpdateGridItemInput `json:"Items"`
}

type UpdateGridItemInput struct {
	Description string `json:"Description"`
	Acronym     string `json:"Acronym"`
	Sequencer   int    `json:"Sequencer"`
}

type UpdateProductInput struct {
	Description string             `json:"Description"`
	EnableGrid  bool               `json:"EnableGrid"`
	Grids       []*UpdateGridInput `json:"Grids"`
	ImageLink   string             `json:"ImageLink"`
}

type UpdateProductOutput struct {
	Error   *string `json:"Error"`
	Message string  `json:"Message"`
	Code    string  `json:"Code"`
}
